<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::settings::storage::DeviceSettingStorageInterface Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1settings.html">settings</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1settings_1_1storage.html">storage</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface.html">DeviceSettingStorageInterface</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::settings::storage::DeviceSettingStorageInterface Class Reference<span class="mlabels"><span class="mlabel">abstract</span></span></div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_device_setting_storage_interface_8h_source.html">DeviceSettingStorageInterface.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for alexaClientSDK::settings::storage::DeviceSettingStorageInterface:</div>
<div class="dyncontent">
<div class="center"><img src="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface__inherit__graph.png" border="0" usemap="#alexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface_inherit__map" alt="Inheritance graph"/></div>
<map name="alexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface_inherit__map" id="alexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface_inherit__map">
<area shape="rect" id="node2" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_s_q_lite_device_setting_storage.html" title="alexaClientSDK::settings\l::storage::SQLiteDeviceSetting\lStorage" alt="" coords="273,5,477,57"/>
<area shape="rect" id="node3" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1test_1_1_mock_device_setting_storage.html" title="alexaClientSDK::settings\l::storage::test::MockDeviceSetting\lStorage" alt="" coords="263,81,487,133"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a36dc43291bb074e717870985d89b0a0a"><td class="memItemLeft" align="right" valign="top">using&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface.html#a36dc43291bb074e717870985d89b0a0a">SettingStatusAndValue</a> = std::pair&lt; <a class="el" href="namespacealexa_client_s_d_k_1_1settings.html#a4a578c80906f233911b5c7e07bf1d4d4">SettingStatus</a>, std::string &gt;</td></tr>
<tr class="separator:a36dc43291bb074e717870985d89b0a0a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a904c825be74d9cb4a71ae341ae07a8f1"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface.html#a904c825be74d9cb4a71ae341ae07a8f1">~DeviceSettingStorageInterface</a> ()=default</td></tr>
<tr class="separator:a904c825be74d9cb4a71ae341ae07a8f1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adf2969e60fa7ca4c79ee04e6d74a4887"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface.html#adf2969e60fa7ca4c79ee04e6d74a4887">open</a> ()=0</td></tr>
<tr class="separator:adf2969e60fa7ca4c79ee04e6d74a4887"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1de8f87cc1ac1ef79505b1e6ad0fcfc8"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface.html#a1de8f87cc1ac1ef79505b1e6ad0fcfc8">close</a> ()=0</td></tr>
<tr class="separator:a1de8f87cc1ac1ef79505b1e6ad0fcfc8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a776c5d59d7ee41ff1e7a4af2dee57e70"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface.html#a776c5d59d7ee41ff1e7a4af2dee57e70">storeSetting</a> (const std::string &amp;key, const std::string &amp;value, <a class="el" href="namespacealexa_client_s_d_k_1_1settings.html#a4a578c80906f233911b5c7e07bf1d4d4">SettingStatus</a> status)=0</td></tr>
<tr class="separator:a776c5d59d7ee41ff1e7a4af2dee57e70"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8acefcc2b5eee9733f4b17d8037570fa"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface.html#a36dc43291bb074e717870985d89b0a0a">SettingStatusAndValue</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface.html#a8acefcc2b5eee9733f4b17d8037570fa">loadSetting</a> (const std::string &amp;key)=0</td></tr>
<tr class="separator:a8acefcc2b5eee9733f4b17d8037570fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa3d3aab08b859a1370ff9f3c16af1d8e"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface.html#aa3d3aab08b859a1370ff9f3c16af1d8e">deleteSetting</a> (const std::string &amp;key)=0</td></tr>
<tr class="separator:aa3d3aab08b859a1370ff9f3c16af1d8e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac6149719d9b499ee217629b2184c3bae"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface.html#ac6149719d9b499ee217629b2184c3bae">updateSettingStatus</a> (const std::string &amp;key, <a class="el" href="namespacealexa_client_s_d_k_1_1settings.html#a4a578c80906f233911b5c7e07bf1d4d4">SettingStatus</a> status)=0</td></tr>
<tr class="separator:ac6149719d9b499ee217629b2184c3bae"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class="">An Interface class which defines APIs for interacting with a database used for storing, loading, and modifying settings. </p><dl class="section note"><dt>Note</dt><dd>: This class does not provide any setting level sanity testing. It is expected that the logic and <code>SettingStatus</code> transitions are managed by the caller. This class simply manages the persistence of settings data and status. </dd></dl>
</div><h2 class="groupheader">Member Typedef Documentation</h2>
<a id="a36dc43291bb074e717870985d89b0a0a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a36dc43291bb074e717870985d89b0a0a">&#9670;&nbsp;</a></span>SettingStatusAndValue</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">using <a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface.html#a36dc43291bb074e717870985d89b0a0a">alexaClientSDK::settings::storage::DeviceSettingStorageInterface::SettingStatusAndValue</a> =  std::pair&lt;<a class="el" href="namespacealexa_client_s_d_k_1_1settings.html#a4a578c80906f233911b5c7e07bf1d4d4">SettingStatus</a>, std::string&gt;</td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">The type holding the status and string value of a setting. If the status is <code>NOT_AVAILABLE</code> the value will contain the reason or error message why the setting value can not be retrieved. </p>

</div>
</div>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a904c825be74d9cb4a71ae341ae07a8f1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a904c825be74d9cb4a71ae341ae07a8f1">&#9670;&nbsp;</a></span>~DeviceSettingStorageInterface()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual alexaClientSDK::settings::storage::DeviceSettingStorageInterface::~DeviceSettingStorageInterface </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Destructor. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a1de8f87cc1ac1ef79505b1e6ad0fcfc8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1de8f87cc1ac1ef79505b1e6ad0fcfc8">&#9670;&nbsp;</a></span>close()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void alexaClientSDK::settings::storage::DeviceSettingStorageInterface::close </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Close the currently open database, if one is open. </p>

<p>Implemented in <a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_s_q_lite_device_setting_storage.html#ab2eed1ce519c25f9bd62c0c645bbc306">alexaClientSDK::settings::storage::SQLiteDeviceSettingStorage</a>.</p>

</div>
</div>
<a id="aa3d3aab08b859a1370ff9f3c16af1d8e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa3d3aab08b859a1370ff9f3c16af1d8e">&#9670;&nbsp;</a></span>deleteSetting()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool alexaClientSDK::settings::storage::DeviceSettingStorageInterface::deleteSetting </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>key</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Removes the entry for a particular setting in the database.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">key</td><td>The string identifier for the setting. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>true if deletion is successful, false otherwise </dd></dl>

<p>Implemented in <a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_s_q_lite_device_setting_storage.html#aea32c42a12449799f9773f1c967d5118">alexaClientSDK::settings::storage::SQLiteDeviceSettingStorage</a>.</p>

</div>
</div>
<a id="a8acefcc2b5eee9733f4b17d8037570fa"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8acefcc2b5eee9733f4b17d8037570fa">&#9670;&nbsp;</a></span>loadSetting()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_device_setting_storage_interface.html#a36dc43291bb074e717870985d89b0a0a">SettingStatusAndValue</a> alexaClientSDK::settings::storage::DeviceSettingStorageInterface::loadSetting </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>key</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Retrieves the setting status and value from the database.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">key</td><td>The string identifier for the setting. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The status and value of the setting. The value will contain the reason or error message if the status is <code>NOT_AVAILABLE</code>. </dd></dl>

<p>Implemented in <a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_s_q_lite_device_setting_storage.html#a36294c60fc3906f4b8b45151ac0afdc0">alexaClientSDK::settings::storage::SQLiteDeviceSettingStorage</a>.</p>

</div>
</div>
<a id="adf2969e60fa7ca4c79ee04e6d74a4887"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adf2969e60fa7ca4c79ee04e6d74a4887">&#9670;&nbsp;</a></span>open()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool alexaClientSDK::settings::storage::DeviceSettingStorageInterface::open </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Open an existing database.</p>
<dl class="section return"><dt>Returns</dt><dd><code>true</code> If the database is opened ok or is already open <code>false</code> if this object is already managing an open database, or if there is another internal reason the database could not be opened. </dd></dl>

<p>Implemented in <a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_s_q_lite_device_setting_storage.html#a7733e56145916f7ff265c5c950add492">alexaClientSDK::settings::storage::SQLiteDeviceSettingStorage</a>.</p>

</div>
</div>
<a id="a776c5d59d7ee41ff1e7a4af2dee57e70"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a776c5d59d7ee41ff1e7a4af2dee57e70">&#9670;&nbsp;</a></span>storeSetting()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool alexaClientSDK::settings::storage::DeviceSettingStorageInterface::storeSetting </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>key</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>value</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespacealexa_client_s_d_k_1_1settings.html#a4a578c80906f233911b5c7e07bf1d4d4">SettingStatus</a>&#160;</td>
          <td class="paramname"><em>status</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Stores a single setting in the database.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">key</td><td>The string identifier for the setting. </td></tr>
    <tr><td class="paramname">value</td><td>The string value of the setting. </td></tr>
    <tr><td class="paramname">status</td><td>The status of the setting. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Whether the setting was successfully stored. </dd></dl>

<p>Implemented in <a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_s_q_lite_device_setting_storage.html#a838a36703b2e5543391d3a0296576bbe">alexaClientSDK::settings::storage::SQLiteDeviceSettingStorage</a>.</p>

</div>
</div>
<a id="ac6149719d9b499ee217629b2184c3bae"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac6149719d9b499ee217629b2184c3bae">&#9670;&nbsp;</a></span>updateSettingStatus()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool alexaClientSDK::settings::storage::DeviceSettingStorageInterface::updateSettingStatus </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>key</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespacealexa_client_s_d_k_1_1settings.html#a4a578c80906f233911b5c7e07bf1d4d4">SettingStatus</a>&#160;</td>
          <td class="paramname"><em>status</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Update the status of a setting in the database. The update will fail if the setting does not exist.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">key</td><td>The string identifier for the setting. </td></tr>
    <tr><td class="paramname">status</td><td>The status of the setting. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Whether the status was successfully updated. </dd></dl>

<p>Implemented in <a class="el" href="classalexa_client_s_d_k_1_1settings_1_1storage_1_1_s_q_lite_device_setting_storage.html#aa7ecd1ddbd9b8a0e2d937ae28287c317">alexaClientSDK::settings::storage::SQLiteDeviceSettingStorage</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/workplace/avs-device-sdk/Settings/include/Settings/Storage/<a class="el" href="_device_setting_storage_interface_8h_source.html">DeviceSettingStorageInterface.h</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
